<digi-typography>
	<div class="wrapper">
		<at-header [navTemplate]="navForm.controls.pageTemplateSelect.value">
			<digi-navigation-sidebar-button
				af-text="Meny"
				af-id="sidebarToggleDefault"
				class="header__sidebar-toggle"
				*ngIf="navForm.controls.pageTemplateSelect.value === 'default' && isMobile"
				(afOnClick)="toggleSidenav('sideNav')"
			>
			</digi-navigation-sidebar-button>
			<digi-navigation-sidebar-button
				af-text="Push"
				af-id="sidebarToggleIntranet"
				class="header__sidebar-toggle"
				*ngIf="navForm.controls.pageTemplateSelect.value === 'intranet' && isMobile"
				(afOnClick)="toggleSidenav('sideNav')"
			>
			</digi-navigation-sidebar-button>
			<digi-navigation-sidebar-button
				af-text="Meny"
				af-id="sidebarToggleExternal"
				class="header__sidebar-toggle"
				*ngIf="navForm.controls.pageTemplateSelect.value === 'external'"
				(afOnClick)="toggleSidenav('sideNav')"
			>
			</digi-navigation-sidebar-button>
		</at-header>
		<digi-layout-container
			[attr.af-variation]="
				navForm.controls.pageTemplateSelect.value === 'default'
					? LayoutContainerVariation.FLUID
					: LayoutContainerVariation.STATIC
			"
			[attr.af-no-gutter]="
				navForm.controls.pageTemplateSelect.value === 'default' ? true : null
			"
			class="main"
		>
			<div class="main__layout">
				<aside
					class="main__aside"
					[ngClass]="asideClass"
				>
					<at-sidenav
						[navTemplate]="navForm.controls.pageTemplateSelect.value"
						[navLayout]="navForm.controls.navigationLayoutSelect.value"
						*ngIf="sidenavDemo"
					></at-sidenav>
				</aside>
				<section class="main__content">
          <main>
            <digi-layout-block [attr.af-container]="isFullwidth && 'none'">
							<router-outlet></router-outlet>
						</digi-layout-block>
          </main>
				</section>
			</div>
		</digi-layout-container>
		<at-footer>
			<form [formGroup]="navForm" class="nav-form" id="navForm" *ngIf="sidenavDemo">
        <digi-form-select
          af-id="pageTemplateSelect"
          af-name="pageTemplateSelect"
          af-label="Webbplats"
          formControlName="pageTemplateSelect"
        >
          <ng-container *ngFor="let selectItem of pageTemplateSelect">
            <option
              [attr.value]="selectItem.value"
            >{{selectItem.name}}</option>
          </ng-container>
        </digi-form-select>
        <digi-form-select
          af-id="navigationLayoutSelect"
          af-name="navigationLayoutSelect"
          af-label="Navigationslayout"
          formControlName="navigationLayoutSelect"
        >
          <ng-container *ngFor="let selectItem of navigationLayoutSelect">
            <option
              [attr.value]="selectItem.value"
            >{{selectItem.name}}</option>
          </ng-container>
        </digi-form-select>
      </form>
		</at-footer>
	</div>
</digi-typography>
